Upstream information

CVE-2017-5226 at MITRE

Description

When executing a program via the bubblewrap sandbox, the nonpriv session can escape to the parent session by using the TIOCSTI ioctl to push characters into the terminal's input buffer, allowing an attacker to escape the sandbox.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 10 7.8
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
Attack Vector Network Local
Attack Complexity Low Low
Privileges Required None Low
User Interaction None None
Scope Changed Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3 3.1
SUSE Bugzilla entries: 1130637 [IN_PROGRESS], 1173998 [RESOLVED / FIXED], 1174073 [RESOLVED / INVALID]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 6
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • bubblewrap >= 0.3.1-4.31
  • flatpak >= 1.2.3-2.12
  • flatpak-devel >= 1.2.3-2.12
  • flatpak-zsh-completion >= 1.2.3-2.12
  • libflatpak0 >= 1.2.3-2.12
  • typelib-1_0-Flatpak-1_0 >= 1.2.3-2.12
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 GA bubblewrap-0.3.1-4.31
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 GA flatpak-1.2.3-2.12
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • bubblewrap >= 0.4.1-1.16
  • flatpak >= 1.10.2-4.6.1
  • flatpak-devel >= 1.10.2-4.6.1
  • flatpak-zsh-completion >= 1.10.2-4.6.1
  • libflatpak0 >= 1.10.2-4.6.1
  • system-user-flatpak >= 1.10.2-4.6.1
  • typelib-1_0-Flatpak-1_0 >= 1.10.2-4.6.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA bubblewrap-0.4.1-1.16
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 GA flatpak-1.10.2-4.6.1
SUSE Enterprise Storage 7
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • bubblewrap >= 0.4.1-1.16
  • flatpak >= 1.6.3-2.7
  • flatpak-devel >= 1.6.3-2.7
  • flatpak-zsh-completion >= 1.6.3-2.7
  • libflatpak0 >= 1.6.3-2.7
  • system-user-flatpak >= 1.6.3-2.7
  • typelib-1_0-Flatpak-1_0 >= 1.6.3-2.7
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP2 GA bubblewrap-0.4.1-1.16
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 GA flatpak-1.6.3-2.7
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • bubblewrap >= 0.4.1-1.16
  • flatpak >= 1.12.5-150400.1.11
  • flatpak-devel >= 1.12.5-150400.1.11
  • flatpak-zsh-completion >= 1.12.5-150400.1.11
  • libflatpak0 >= 1.12.5-150400.1.11
  • system-user-flatpak >= 1.12.5-150400.1.11
  • typelib-1_0-Flatpak-1_0 >= 1.12.5-150400.1.11
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA bubblewrap-0.4.1-1.16
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 GA flatpak-1.12.5-150400.1.11
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Desktop Applications 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • bubblewrap >= 0.2.0-1.49
  • flatpak >= 0.10.4-2.42
  • flatpak-devel >= 0.10.4-2.42
  • libflatpak0 >= 0.10.4-2.42
  • typelib-1_0-Flatpak-1_0 >= 0.10.4-2.42
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA bubblewrap-0.2.0-1.49
SUSE Linux Enterprise Module for Desktop Applications 15 GA flatpak-0.10.4-2.42
SUSE Linux Enterprise High Performance Computing 12 SP5
  • bubblewrap >= 0.3.3-1.31
  • flatpak >= 1.4.2-1.31
  • libflatpak0 >= 1.4.2-1.31
  • typelib-1_0-Flatpak-1_0 >= 1.4.2-1.31
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA bubblewrap-0.3.3-1.31
SUSE Linux Enterprise High Performance Computing 12 SP5 GA flatpak-1.4.2-1.31
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • bubblewrap >= 0.4.1-1.16
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP2 GA bubblewrap-0.4.1-1.16
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • bubblewrap >= 0.4.1-1.16
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA bubblewrap-0.4.1-1.16
SUSE Linux Enterprise Module for Basesystem 15 SP4
  • bubblewrap >= 0.4.1-1.16
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA bubblewrap-0.4.1-1.16
SUSE Linux Enterprise Module for Desktop Applications 15 SP2
  • flatpak >= 1.6.3-2.7
  • flatpak-devel >= 1.6.3-2.7
  • flatpak-zsh-completion >= 1.6.3-2.7
  • libflatpak0 >= 1.6.3-2.7
  • system-user-flatpak >= 1.6.3-2.7
  • typelib-1_0-Flatpak-1_0 >= 1.6.3-2.7
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 GA flatpak-1.6.3-2.7
SUSE Linux Enterprise Module for Desktop Applications 15 SP3
  • flatpak >= 1.10.2-4.6.1
  • flatpak-devel >= 1.10.2-4.6.1
  • flatpak-zsh-completion >= 1.10.2-4.6.1
  • libflatpak0 >= 1.10.2-4.6.1
  • system-user-flatpak >= 1.10.2-4.6.1
  • typelib-1_0-Flatpak-1_0 >= 1.10.2-4.6.1
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 GA flatpak-1.10.2-4.6.1
SUSE Linux Enterprise Module for Desktop Applications 15 SP4
  • flatpak >= 1.12.5-150400.1.11
  • flatpak-devel >= 1.12.5-150400.1.11
  • flatpak-zsh-completion >= 1.12.5-150400.1.11
  • libflatpak0 >= 1.12.5-150400.1.11
  • system-user-flatpak >= 1.12.5-150400.1.11
  • typelib-1_0-Flatpak-1_0 >= 1.12.5-150400.1.11
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 GA flatpak-1.12.5-150400.1.11
SUSE Linux Enterprise Server 12 SP5
  • bubblewrap >= 0.3.3-1.31
  • flatpak >= 1.4.2-1.31
  • libflatpak0 >= 1.4.2-1.31
  • typelib-1_0-Flatpak-1_0 >= 1.4.2-1.31
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA bubblewrap-0.3.3-1.31
SUSE Linux Enterprise Server 12 SP5 GA flatpak-1.4.2-1.31
openSUSE Leap 15.0
  • bubblewrap >= 0.2.0-lp150.1.4
  • flatpak >= 0.10.4-lp150.2.3
  • libflatpak0 >= 0.10.4-lp150.2.3
  • typelib-1_0-Flatpak-1_0 >= 0.10.4-lp150.2.3
Patchnames:
openSUSE Leap 15.0 GA bubblewrap-0.2.0-lp150.1.4
openSUSE Leap 15.0 GA flatpak-0.10.4-lp150.2.3
openSUSE Leap 15.2
  • bubblewrap >= 0.4.1-lp152.1.3
  • flatpak >= 1.6.3-lp152.2.1
  • libflatpak0 >= 1.6.3-lp152.2.1
  • system-user-flatpak >= 1.6.3-lp152.2.1
  • typelib-1_0-Flatpak-1_0 >= 1.6.3-lp152.2.1
Patchnames:
openSUSE Leap 15.2 GA bubblewrap-0.4.1-lp152.1.1
openSUSE Leap 15.2 GA flatpak-1.6.3-lp152.2.1
openSUSE Leap 15.3
  • bubblewrap >= 0.4.1-1.16
  • flatpak >= 1.10.2-4.6.1
  • libflatpak0 >= 1.10.2-4.6.1
  • system-user-flatpak >= 1.10.2-4.6.1
Patchnames:
openSUSE Leap 15.3 GA bubblewrap-0.4.1-1.16
openSUSE Leap 15.3 GA flatpak-1.10.2-4.6.1
openSUSE Leap 15.4
  • bubblewrap >= 0.4.1-1.16
  • flatpak >= 1.12.5-150400.1.11
  • libflatpak0 >= 1.12.5-150400.1.11
  • system-user-flatpak >= 1.12.5-150400.1.11
Patchnames:
openSUSE Leap 15.4 GA bubblewrap-0.4.1-1.16
openSUSE Leap 15.4 GA flatpak-1.12.5-150400.1.11
openSUSE Tumbleweed
  • bubblewrap >= 0.5.0-1.1
  • bubblewrap-zsh-completion >= 0.5.0-1.1
  • flatpak >= 1.11.3-1.2
  • flatpak-devel >= 1.11.3-1.2
  • flatpak-zsh-completion >= 1.11.3-1.2
  • libflatpak0 >= 1.11.3-1.2
  • system-user-flatpak >= 1.11.3-1.2
  • typelib-1_0-Flatpak-1_0 >= 1.11.3-1.2
Patchnames:
openSUSE Tumbleweed GA bubblewrap-0.5.0-1.1
openSUSE Tumbleweed GA flatpak-1.11.3-1.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 bubblewrap Not affected
SUSE Enterprise Storage 7 flatpak Already fixed
SUSE Enterprise Storage 7.1 bubblewrap Not affected
SUSE Enterprise Storage 7.1 flatpak Already fixed
SUSE Linux Enterprise Desktop 15 SP4 bubblewrap Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 bubblewrap Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 bubblewrap Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 bubblewrap Not affected
SUSE Linux Enterprise Real Time 15 SP3 bubblewrap Not affected
SUSE Linux Enterprise Real Time 15 SP3 flatpak Already fixed
SUSE Linux Enterprise Server 12 SP5 bubblewrap Not affected
SUSE Linux Enterprise Server 12 SP5 flatpak Already fixed
SUSE Linux Enterprise Server 15 SP4 bubblewrap Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 bubblewrap Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 bubblewrap Not affected
SUSE Manager Proxy 4.2 bubblewrap Not affected
SUSE Manager Proxy 4.2 flatpak Already fixed
SUSE Manager Proxy 4.3 bubblewrap Not affected
SUSE Manager Retail Branch Server 4.2 bubblewrap Not affected
SUSE Manager Retail Branch Server 4.2 flatpak Already fixed
SUSE Manager Retail Branch Server 4.3 bubblewrap Not affected
SUSE Manager Server 4.2 bubblewrap Not affected
SUSE Manager Server 4.2 flatpak Already fixed
SUSE Manager Server 4.3 bubblewrap Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 bubblewrap Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 bubblewrap Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS bubblewrap Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS bubblewrap Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 bubblewrap Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 flatpak Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS bubblewrap Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS flatpak Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS bubblewrap Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS flatpak Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3 bubblewrap Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 flatpak Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS bubblewrap Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS flatpak Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS bubblewrap Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS flatpak Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS bubblewrap Already fixed
SUSE Linux Enterprise High Performance Computing 15-LTSS bubblewrap Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP2 bubblewrap Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 bubblewrap Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 bubblewrap Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 flatpak Already fixed
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 flatpak Already fixed
SUSE Linux Enterprise Server 15 SP1 bubblewrap Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS bubblewrap Not affected
SUSE Linux Enterprise Server 15 SP2 bubblewrap Not affected
SUSE Linux Enterprise Server 15 SP2 flatpak Already fixed
SUSE Linux Enterprise Server 15 SP2-LTSS bubblewrap Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS flatpak Already fixed
SUSE Linux Enterprise Server 15 SP3 bubblewrap Not affected
SUSE Linux Enterprise Server 15 SP3 flatpak Already fixed
SUSE Linux Enterprise Server 15 SP3-LTSS bubblewrap Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS flatpak Already fixed
SUSE Linux Enterprise Server 15-ESPOS bubblewrap Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 bubblewrap Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 bubblewrap Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 bubblewrap Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 flatpak Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP3 bubblewrap Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 flatpak Already fixed
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 bubblewrap Not affected
SUSE Enterprise Storage 6 bubblewrap Not affected
SUSE Linux Enterprise Desktop 15 bubblewrap Already fixed
SUSE Linux Enterprise Desktop 15 SP1 bubblewrap Not affected
SUSE Linux Enterprise Desktop 15 SP2 bubblewrap Not affected
SUSE Linux Enterprise Desktop 15 SP2 flatpak Already fixed
SUSE Linux Enterprise Desktop 15 SP3 bubblewrap Not affected
SUSE Linux Enterprise Desktop 15 SP3 flatpak Already fixed
SUSE Linux Enterprise Module for Desktop Applications 15 bubblewrap Already fixed
SUSE Linux Enterprise Real Time 15 SP2 bubblewrap Not affected
SUSE Linux Enterprise Real Time 15 SP2 flatpak Already fixed
SUSE Linux Enterprise Server 15 bubblewrap Already fixed
SUSE Linux Enterprise Server 15 SP1-BCL bubblewrap Not affected
SUSE Linux Enterprise Server 15 SP2-BCL bubblewrap Not affected
SUSE Linux Enterprise Server 15 SP2-BCL flatpak Already fixed
SUSE Linux Enterprise Server 15 SP3-BCL bubblewrap Not affected
SUSE Linux Enterprise Server 15 SP3-BCL flatpak Already fixed
SUSE Linux Enterprise Server 15-LTSS bubblewrap Already fixed
SUSE Manager Proxy 4.0 bubblewrap Not affected
SUSE Manager Proxy 4.1 bubblewrap Not affected
SUSE Manager Proxy 4.1 flatpak Already fixed
SUSE Manager Retail Branch Server 4.0 bubblewrap Not affected
SUSE Manager Retail Branch Server 4.1 bubblewrap Not affected
SUSE Manager Retail Branch Server 4.1 flatpak Already fixed
SUSE Manager Server 4.0 bubblewrap Not affected
SUSE Manager Server 4.1 bubblewrap Not affected
SUSE Manager Server 4.1 flatpak Already fixed


SUSE Timeline for this CVE

CVE page created: Tue Jan 10 16:15:13 2017
CVE page last modified: Fri Jan 20 13:24:19 2023